summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages17
1 files changed, 9 insertions, 8 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 4130738..052e4fe 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# build packages one by one, then upload the binary package to the repository server
# Details:
@@ -117,15 +117,16 @@ while [ ${count} -ne 0 ]; do
# Update git repositories (official packages, community packages and the repository of package customizations).
- for repo in "${repo_paths[@]}"; do
- git -C "${repo}" clean -df
- git -C "${repo}" reset --hard
- git -C "${repo}" checkout master
- git -C "${repo}" pull || true
+ for repo_name in ${repo_names}; do
+ eval repo_path='$repo_paths__'"${repo}"
+ git -C "${repo_path}" clean -df
+ git -C "${repo_path}" reset --hard
+ git -C "${repo_path}" checkout master
+ git -C "${repo_path}" pull || true
done
- git -C "${repo_paths["$(find_repository_with_commit "${git_revision}")"]}" checkout "${git_revision}" > /dev/null 2>&1
- git -C "${repo_paths["archlinux32"]}" checkout "${mod_git_revision}" > /dev/null 2>&1
+ git -C "$(eval printf '$repo_paths__%s' "$(find_repository_with_commit "${git_revision}")")" checkout "${git_revision}" > /dev/null 2>&1
+ git -C "${repo_paths__archlinux32}" checkout "${mod_git_revision}" > /dev/null 2>&1
PKGBUILD="$(find_pkgbuild "${package}" "${repository}")"